extends StaticBody2D


signal kace_broken
signal kace_damaged


var life: int


func setup(x: int, y: int, max_life: int):
	position.x = x * 40
	position.y = y * 20
	life = randi() % max_life + 1
	update() # For custom drawing


func damage():
	life = life - 1
	emit_signal("kace_damaged")
	update() # For custom drawing
	if life < 1:
		blow_up()


func blow_up():
	emit_signal("kace_broken")
	queue_free()


func impact(pos: Vector2):
	damage()
